com.microfocus.awm.meta.impl

## Class RApplicationActionImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.EObjectImpl
      - - com.microfocus.awm.meta.impl.AWMObjectImpl
        - - com.microfocus.awm.meta.impl.RApplicationActionImpl

- All Implemented Interfaces:
    AWMObject, RApplicationAction, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject

      public class RApplicationActionImpl
      extends AWMObjectImpl
      implements RApplicationAction

  The following features are implemented:

  - `Target ID`
  - `Action Enabled Condition`
  - `Action Visible Condition`
  - `Default Action`
  - `Execution Type`
  - `Label`
  - `Separator After`
  - `Seq No`
  - `Skip Model Update Check`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `org.eclipse.emf.ecore.InternalEObject.EStore`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

      `ELAST_EOBJECT_FLAG`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ActionDescriptor` | `basicGetTargetID()`
    `org.eclipse.emf.common.notify.NotificationChain` | `basicSetActionEnabledCondition(RSelectionEnabledCondition newActionEnabledCondition, org.eclipse.emf.common.notify.NotificationChain msgs)`
    `org.eclipse.emf.common.notify.NotificationChain` | `basicSetActionVisibleCondition(RSelectionVisibleCondition newActionVisibleCondition, org.eclipse.emf.common.notify.NotificationChain msgs)`
    `java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
    `org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
    `boolean` | `eIsSet(int featureID)`
    `void` | `eSet(int featureID, java.lang.Object newValue)`
    `void` | `eUnset(int featureID)`
    `RSelectionEnabledCondition` | `getActionEnabledCondition()`
    `RSelectionVisibleCondition` | `getActionVisibleCondition()`
    `EApplicationActionExecutionType` | `getExecutionType()`
    `java.lang.String` | `getLabel()`
    `java.lang.String` | `getLabelFromHierarchy()` Returns the Label or, if the Label wasn't set, the Label of the referenced ActionDescriptor (`TargetID`).
    `int` | `getSeqNo()`
    `ActionDescriptor` | `getTargetID()`
    `boolean` | `isDefaultAction()`
    `boolean` | `isSeparatorAfter()`
    `boolean` | `isSetDefaultAction()`
    `boolean` | `isSetExecutionType()`
    `boolean` | `isSetSeparatorAfter()`
    `boolean` | `isSetSeqNo()`
    `boolean` | `isSetSkipModelUpdateCheck()`
    `boolean` | `isSkipModelUpdateCheck()`
    `void` | `setActionEnabledCondition(RSelectionEnabledCondition newActionEnabledCondition)`
    `void` | `setActionVisibleCondition(RSelectionVisibleCondition newActionVisibleCondition)`
    `void` | `setDefaultAction(boolean newDefaultAction)`
    `void` | `setExecutionType(EApplicationActionExecutionType newExecutionType)`
    `void` | `setLabel(java.lang.String newLabel)`
    `void` | `setSeparatorAfter(boolean newSeparatorAfter)`
    `void` | `setSeqNo(int newSeqNo)`
    `void` | `setSkipModelUpdateCheck(boolean newSkipModelUpdateCheck)`
    `void` | `setTargetID(ActionDescriptor newTargetID)`
    `java.lang.String` | `toString()`
    `void` | `unsetDefaultAction()`
    `void` | `unsetExecutionType()`
    `void` | `unsetSeparatorAfter()`
    `void` | `unsetSeqNo()`
    `void` | `unsetSkipModelUpdateCheck()`

    - ### Methods inherited from class com.microfocus.awm.meta.impl.AWMObjectImpl

      `getComment, isSetComment, setComment, unsetComment`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

      `eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.AWMObject

      `getComment, isSetComment, setComment, unsetComment`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

- - ### Method Detail

    - #### getTargetID

          public ActionDescriptor getTargetID()

      Specified by:
        `getTargetID` in interface `RApplicationAction`
      Returns:
        the value of the 'Target ID' reference.
      See Also:
        `RApplicationAction.setTargetID(ActionDescriptor)`, `TaurusPackage.getRApplicationAction_TargetID()`

    - #### basicGetTargetID

          public ActionDescriptor basicGetTargetID()

    - #### setTargetID

          public void setTargetID(ActionDescriptor newTargetID)

      Specified by:
        `setTargetID` in interface `RApplicationAction`
      Parameters:
        `newTargetID` - the new value of the 'Target ID' reference.
      See Also:
        `RApplicationAction.getTargetID()`

    - #### getActionEnabledCondition

          public RSelectionEnabledCondition getActionEnabledCondition()

      Specified by:
        `getActionEnabledCondition` in interface `RApplicationAction`
      Returns:
        the value of the 'Action Enabled Condition' containment reference.
      See Also:
        `RApplicationAction.setActionEnabledCondition(RSelectionEnabledCondition)`, `TaurusPackage.getRApplicationAction_ActionEnabledCondition()`

    - #### basicSetActionEnabledCondition

          public org.eclipse.emf.common.notify.NotificationChain basicSetActionEnabledCondition(RSelectionEnabledCondition newActionEnabledCondition,
                                                                                                org.eclipse.emf.common.notify.NotificationChain msgs)

    - #### setActionEnabledCondition

          public void setActionEnabledCondition(RSelectionEnabledCondition newActionEnabledCondition)

      Specified by:
        `setActionEnabledCondition` in interface `RApplicationAction`
      Parameters:
        `newActionEnabledCondition` - the new value of the 'Action Enabled Condition' containment reference.
      See Also:
        `RApplicationAction.getActionEnabledCondition()`

    - #### getActionVisibleCondition

          public RSelectionVisibleCondition getActionVisibleCondition()

      Specified by:
        `getActionVisibleCondition` in interface `RApplicationAction`
      Returns:
        the value of the 'Action Visible Condition' containment reference.
      See Also:
        `RApplicationAction.setActionVisibleCondition(RSelectionVisibleCondition)`, `TaurusPackage.getRApplicationAction_ActionVisibleCondition()`

    - #### basicSetActionVisibleCondition

          public org.eclipse.emf.common.notify.NotificationChain basicSetActionVisibleCondition(RSelectionVisibleCondition newActionVisibleCondition,
                                                                                                org.eclipse.emf.common.notify.NotificationChain msgs)

    - #### setActionVisibleCondition

          public void setActionVisibleCondition(RSelectionVisibleCondition newActionVisibleCondition)

      Specified by:
        `setActionVisibleCondition` in interface `RApplicationAction`
      Parameters:
        `newActionVisibleCondition` - the new value of the 'Action Visible Condition' containment reference.
      See Also:
        `RApplicationAction.getActionVisibleCondition()`

    - #### isDefaultAction

          public boolean isDefaultAction()

      Specified by:
        `isDefaultAction` in interface `RApplicationAction`
      Returns:
        the value of the 'Default Action' attribute.
      See Also:
        `RApplicationAction.isSetDefaultAction()`, `RApplicationAction.unsetDefaultAction()`, `RApplicationAction.setDefaultAction(boolean)`, `TaurusPackage.getRApplicationAction_DefaultAction()`

    - #### setDefaultAction

          public void setDefaultAction(boolean newDefaultAction)

      Specified by:
        `setDefaultAction` in interface `RApplicationAction`
      Parameters:
        `newDefaultAction` - the new value of the 'Default Action' attribute.
      See Also:
        `RApplicationAction.isSetDefaultAction()`, `RApplicationAction.unsetDefaultAction()`, `RApplicationAction.isDefaultAction()`

    - #### unsetDefaultAction

          public void unsetDefaultAction()

      Specified by:
        `unsetDefaultAction` in interface `RApplicationAction`
      See Also:
        `RApplicationAction.isSetDefaultAction()`, `RApplicationAction.isDefaultAction()`, `RApplicationAction.setDefaultAction(boolean)`

    - #### isSetDefaultAction

          public boolean isSetDefaultAction()

      Specified by:
        `isSetDefaultAction` in interface `RApplicationAction`
      Returns:
        whether the value of the 'Default Action' attribute is set.
      See Also:
        `RApplicationAction.unsetDefaultAction()`, `RApplicationAction.isDefaultAction()`, `RApplicationAction.setDefaultAction(boolean)`

    - #### getExecutionType

          public EApplicationActionExecutionType getExecutionType()

      Specified by:
        `getExecutionType` in interface `RApplicationAction`
      Returns:
        the value of the 'Execution Type' attribute.
      See Also:
        `EApplicationActionExecutionType`, `RApplicationAction.isSetExecutionType()`, `RApplicationAction.unsetExecutionType()`, `RApplicationAction.setExecutionType(EApplicationActionExecutionType)`, `TaurusPackage.getRApplicationAction_ExecutionType()`

    - #### setExecutionType

          public void setExecutionType(EApplicationActionExecutionType newExecutionType)

      Specified by:
        `setExecutionType` in interface `RApplicationAction`
      Parameters:
        `newExecutionType` - the new value of the 'Execution Type' attribute.
      See Also:
        `EApplicationActionExecutionType`, `RApplicationAction.isSetExecutionType()`, `RApplicationAction.unsetExecutionType()`, `RApplicationAction.getExecutionType()`

    - #### unsetExecutionType

          public void unsetExecutionType()

      Specified by:
        `unsetExecutionType` in interface `RApplicationAction`
      See Also:
        `RApplicationAction.isSetExecutionType()`, `RApplicationAction.getExecutionType()`, `RApplicationAction.setExecutionType(EApplicationActionExecutionType)`

    - #### isSetExecutionType

          public boolean isSetExecutionType()

      Specified by:
        `isSetExecutionType` in interface `RApplicationAction`
      Returns:
        whether the value of the 'Execution Type' attribute is set.
      See Also:
        `RApplicationAction.unsetExecutionType()`, `RApplicationAction.getExecutionType()`, `RApplicationAction.setExecutionType(EApplicationActionExecutionType)`

    - #### getLabel

          public java.lang.String getLabel()

      Specified by:
        `getLabel` in interface `RApplicationAction`
      Returns:
        the value of the 'Label' attribute.
      See Also:
        `RApplicationAction.setLabel(String)`, `TaurusPackage.getRApplicationAction_Label()`

    - #### setLabel

          public void setLabel(java.lang.String newLabel)

      Specified by:
        `setLabel` in interface `RApplicationAction`
      Parameters:
        `newLabel` - the new value of the 'Label' attribute.
      See Also:
        `RApplicationAction.getLabel()`

    - #### isSeparatorAfter

          public boolean isSeparatorAfter()

      Specified by:
        `isSeparatorAfter` in interface `RApplicationAction`
      Returns:
        the value of the 'Separator After' attribute.
      See Also:
        `RApplicationAction.isSetSeparatorAfter()`, `RApplicationAction.unsetSeparatorAfter()`, `RApplicationAction.setSeparatorAfter(boolean)`, `TaurusPackage.getRApplicationAction_SeparatorAfter()`

    - #### setSeparatorAfter

          public void setSeparatorAfter(boolean newSeparatorAfter)

      Specified by:
        `setSeparatorAfter` in interface `RApplicationAction`
      Parameters:
        `newSeparatorAfter` - the new value of the 'Separator After' attribute.
      See Also:
        `RApplicationAction.isSetSeparatorAfter()`, `RApplicationAction.unsetSeparatorAfter()`, `RApplicationAction.isSeparatorAfter()`

    - #### unsetSeparatorAfter

          public void unsetSeparatorAfter()

      Specified by:
        `unsetSeparatorAfter` in interface `RApplicationAction`
      See Also:
        `RApplicationAction.isSetSeparatorAfter()`, `RApplicationAction.isSeparatorAfter()`, `RApplicationAction.setSeparatorAfter(boolean)`

    - #### isSetSeparatorAfter

          public boolean isSetSeparatorAfter()

      Specified by:
        `isSetSeparatorAfter` in interface `RApplicationAction`
      Returns:
        whether the value of the 'Separator After' attribute is set.
      See Also:
        `RApplicationAction.unsetSeparatorAfter()`, `RApplicationAction.isSeparatorAfter()`, `RApplicationAction.setSeparatorAfter(boolean)`

    - #### getSeqNo

          public int getSeqNo()

      Specified by:
        `getSeqNo` in interface `RApplicationAction`
      Returns:
        the value of the 'Seq No' attribute.
      See Also:
        `RApplicationAction.isSetSeqNo()`, `RApplicationAction.unsetSeqNo()`, `RApplicationAction.setSeqNo(int)`, `TaurusPackage.getRApplicationAction_SeqNo()`

    - #### setSeqNo

          public void setSeqNo(int newSeqNo)

      Specified by:
        `setSeqNo` in interface `RApplicationAction`
      Parameters:
        `newSeqNo` - the new value of the 'Seq No' attribute.
      See Also:
        `RApplicationAction.isSetSeqNo()`, `RApplicationAction.unsetSeqNo()`, `RApplicationAction.getSeqNo()`

    - #### unsetSeqNo

          public void unsetSeqNo()

      Specified by:
        `unsetSeqNo` in interface `RApplicationAction`
      See Also:
        `RApplicationAction.isSetSeqNo()`, `RApplicationAction.getSeqNo()`, `RApplicationAction.setSeqNo(int)`

    - #### isSetSeqNo

          public boolean isSetSeqNo()

      Specified by:
        `isSetSeqNo` in interface `RApplicationAction`
      Returns:
        whether the value of the 'Seq No' attribute is set.
      See Also:
        `RApplicationAction.unsetSeqNo()`, `RApplicationAction.getSeqNo()`, `RApplicationAction.setSeqNo(int)`

    - #### isSkipModelUpdateCheck

          public boolean isSkipModelUpdateCheck()

      Specified by:
        `isSkipModelUpdateCheck` in interface `RApplicationAction`
      Returns:
        the value of the 'Skip Model Update Check' attribute.
      See Also:
        `RApplicationAction.isSetSkipModelUpdateCheck()`, `RApplicationAction.unsetSkipModelUpdateCheck()`, `RApplicationAction.setSkipModelUpdateCheck(boolean)`, `TaurusPackage.getRApplicationAction_SkipModelUpdateCheck()`

    - #### setSkipModelUpdateCheck

          public void setSkipModelUpdateCheck(boolean newSkipModelUpdateCheck)

      Specified by:
        `setSkipModelUpdateCheck` in interface `RApplicationAction`
      Parameters:
        `newSkipModelUpdateCheck` - the new value of the 'Skip Model Update Check' attribute.
      See Also:
        `RApplicationAction.isSetSkipModelUpdateCheck()`, `RApplicationAction.unsetSkipModelUpdateCheck()`, `RApplicationAction.isSkipModelUpdateCheck()`

    - #### unsetSkipModelUpdateCheck

          public void unsetSkipModelUpdateCheck()

      Specified by:
        `unsetSkipModelUpdateCheck` in interface `RApplicationAction`
      See Also:
        `RApplicationAction.isSetSkipModelUpdateCheck()`, `RApplicationAction.isSkipModelUpdateCheck()`, `RApplicationAction.setSkipModelUpdateCheck(boolean)`

    - #### isSetSkipModelUpdateCheck

          public boolean isSetSkipModelUpdateCheck()

      Specified by:
        `isSetSkipModelUpdateCheck` in interface `RApplicationAction`
      Returns:
        whether the value of the 'Skip Model Update Check' attribute is set.
      See Also:
        `RApplicationAction.unsetSkipModelUpdateCheck()`, `RApplicationAction.isSkipModelUpdateCheck()`, `RApplicationAction.setSkipModelUpdateCheck(boolean)`

    - #### eInverseRemove

          public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                                int featureID,
                                                                                org.eclipse.emf.common.notify.NotificationChain msgs)

      Overrides:
        `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

    - #### eGet

          public java.lang.Object eGet(int featureID,
                                       boolean resolve,
                                       boolean coreType)

      Specified by:
        `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eGet` in class `AWMObjectImpl`

    - #### eSet

          public void eSet(int featureID,
                           java.lang.Object newValue)

      Specified by:
        `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eSet` in class `AWMObjectImpl`

    - #### eUnset

          public void eUnset(int featureID)

      Specified by:
        `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eUnset` in class `AWMObjectImpl`

    - #### eIsSet

          public boolean eIsSet(int featureID)

      Specified by:
        `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eIsSet` in class `AWMObjectImpl`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `AWMObjectImpl`

    - #### getLabelFromHierarchy

          public java.lang.String getLabelFromHierarchy()

      Description copied from interface: `RApplicationAction`
      Returns the Label or, if the Label wasn't set, the Label of the referenced ActionDescriptor (`TargetID`). If the ActionDescriptors Label wasn't set, too, its ID will be returned.
      Specified by:
        `getLabelFromHierarchy` in interface `RApplicationAction`

Copyright © 2015 Micro Focus GmbH. All rights reserved.